Package org.silverpeas.components.kmelia.service

# Enum Class KmeliaOperationContext.OperationType

java.lang.Object
java.lang.Enum<KmeliaOperationContext.OperationType>
org.silverpeas.components.kmelia.service.KmeliaOperationContext.OperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<KmeliaOperationContext.OperationType>`, `Constable`

Enclosing class:
  `KmeliaOperationContext`

public static enum KmeliaOperationContext.OperationType extends Enum<KmeliaOperationContext.OperationType>
Different kinds of operations.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATION`
  A publication is being created.
  `DELETION`
  A publication is being deleted (id est definitely deleted).
  `REMOVING`
  A publication is being removed (that is moved into the trash).
  `UPDATE`
  A publication is being updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KmeliaOperationContext.OperationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KmeliaOperationContext.OperationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATION

    public static final KmeliaOperationContext.OperationType CREATION
    A publication is being created.

  - ### UPDATE

    public static final KmeliaOperationContext.OperationType UPDATE
    A publication is being updated.

  - ### REMOVING

    public static final KmeliaOperationContext.OperationType REMOVING
    A publication is being removed (that is moved into the trash).

  - ### DELETION

    public static final KmeliaOperationContext.OperationType DELETION
    A publication is being deleted (id est definitely deleted).

- ## Method Details

  - ### values

    public static KmeliaOperationContext.OperationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KmeliaOperationContext.OperationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null